import { useSandpack, SandpackCodeEditor } from 'sandpack-vue3'
import { toRefs } from 'vue'

export default defineComponent({
  setup() {
    const { sandpack } = useSandpack()
    const { files, activeFile } = sandpack

    // watchEffect(() => {
    //   console.log(files, activeFile)
    // })
    return () => (
      <>
        <SandpackCodeEditor
          class="!h-full"
          showTabs
          showLineNumbers={true}
          showInlineErrors={false}
        />
      </>
    )
  },
})
